Java Object Access Library (core-java-dof-oal) Release Information
====

### Version 7.0.5.3 ###

(2016-12-21, from path "dof-oal" at commit 65ec49ee7f0aff909f59f3a526c858e2fe546a5e on branch "master" of repository core-java)

This release fixes the following issues:

- [JOAL-67] (https://issue.opendof.org/browse/JOAL-67) UDP packets dropped due to invalid packet number sometimes.
- [JOAL-68] (https://issue.opendof.org/browse/JOAL-68) Provide duration sent with wrong duration.

----------

### Version 7.0.4.1 ###

(2016-09-22, from path "dof-oal" at commit 6e885d5cb080cc85d29541f7973397dc6e398490 on branch "master" of repository core-java)

This release fixes the following issues:

- [JOAL-65] (https://issue.opendof.org/browse/JOAL-65) Operations that have lived long enough to retry 256 times fail.

----------

### Version 7.0.3.7 ###

(2016-05-13, from path "dof-oal" at commit e75da8f3722e60db7692d7108cc9457b8dd65ee2 on branch "master" of repository core-java)

This release fixes the following issues:

- [JOAL-54] (https://issue.opendof.org/browse/JOAL-54) Client fails to request TEP after nack when server supports multiple ciphers.
- [JOAL-56] (https://issue.opendof.org/browse/JOAL-56) UDP Query Response from Java client incorrect.
- [JOAL-58] (https://issue.opendof.org/browse/JOAL-58) TRP encryption doesn't properly split blocks.
- [JOAL-60] (https://issue.opendof.org/browse/JOAL-60) System rekey causes first request to fail on the provider.
- [JOAL-63] (https://issue.opendof.org/browse/JOAL-63) Secure java datagram server sending incorrect query response.

----------

### Version 7.0.2.19 ###

(2016-04-18, from path "dof-oal" at commit 300d489ab9eb72a79de4dd14c847eba1130b0121 on branch "master" of repository core-java)

This release fixes the following issues:

- [JOAL-1] (https://issue.opendof.org/browse/JOAL-1) No range checking on primitive DOFValues.
- [JOAL-28] (https://issue.opendof.org/browse/JOAL-28) Client allows server to request TEP in negotiation.
- [JOAL-29] (https://issue.opendof.org/browse/JOAL-29) TEP negotiated without security mode causes bad packet.
- [JOAL-34] (https://issue.opendof.org/browse/JOAL-34) Connection state listener not called when connection is closed.
- [JOAL-35] (https://issue.opendof.org/browse/JOAL-35) Eventual OutOfMemory error with audit listener.
- [JOAL-36] (https://issue.opendof.org/browse/JOAL-36) Null pointer while resolving Inet address.
- [JOAL-37] (https://issue.opendof.org/browse/JOAL-37) DNP port not set correctly on lossy connections.
- [JOAL-43] (https://issue.opendof.org/browse/JOAL-43) Changed alias not checked when retry is received.
- [JOAL-47] (https://issue.opendof.org/browse/JOAL-47) Operations not sent after rekey.

----------

### Version 7.0.1.25 ###

(2015-09-18, from path "./dof-oal" at commit 7275ec04b8c56709f0d3961f8937d616d10ec64f on branch "master" of repository core-java)

This release fixes the following issues:

- [JOAL-14] (https://issue.opendof.org/browse/JOAL-14) Jars are sealed.
- [JOAL-17] (https://issue.opendof.org/browse/JOAL-17) A server with security desire of SECURE allows unsecure connections.
- [JOAL-22] (https://issue.opendof.org/browse/JOAL-22) QueryOperationListener calls interfaceAdded for interfaces that are no longer being provided.
- [JOAL-24] (https://issue.opendof.org/browse/JOAL-24) Using a DOFArray type in the DOFRequest.Invoke.respond method causes type mismatch error.

----------

### Version 7.0.0.85 ###

(2015-07-28, from path "./dof-oal" at commit ed06deedc70f8c36988e409817fc3bf64011174f on branch "master" of repository core-java)

This is the initial public release of this project.

----------

More information can be found on this project at [https://opendof.org/](https://opendof.org/).
